# Generated by Django 3.1.1 on 2020-09-19 13:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Incident',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField()),
                ('title', models.CharField(max_length=255)),
                ('description', models.TextField(default='')),
                ('lat', models.FloatField()),
                ('lon', models.FloatField()),
                ('city', models.CharField(max_length=50)),
                ('state', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Motive',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Source',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('url', models.URLField()),
                ('timestamp', models.DateTimeField(blank=True)),
                ('incident', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='datengegenrechts.incident')),
            ],
        ),
        migrations.AddField(
            model_name='incident',
            name='motive',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='datengegenrechts.motive'),
        ),
    ]
